For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer GuidesThreads APIAccount Management APIAnalytics API
Developer GuidesThreads APIAccount Management APIAnalytics API
  • Threads
    • GETList Threads
    • POSTCreate Thread
    • DELDelete Thread
    • PATCHUpdate Thread
    • GETList Messages
    • POSTSend Message
    • GETGet Thread Progress
    • DELCancel Thread Task
    • POSTUpload File
    • GETGet Artifact
    • GETStream Thread Events
LogoLogo
Threads

Upload File

POST
https://sandbox.api.boosted.ai/v2/threads/:thread_id/files
POST
/v2/threads/:thread_id/files
$curl -X POST https://sandbox.api.boosted.ai/v2/threads/thread_id/files \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F file=@string
1{
2 "success": true,
3 "file_id": "string"
4}
Upload a file to a thread. This endpoint allows uploading files that can be referenced in thread messages.
Was this page helpful?
Previous

Get Artifact

Next
Built with

Authentication

AuthorizationBearer
OAuth2 access token obtained via token exchange.

Path parameters

thread_idstringRequired

Request

This endpoint expects a multipart form containing a file.
filefileRequired

Response

Successful Response
successbooleanDefaults to true
file_idstring

Errors

422
Unprocessable Entity Error